Commit 8aa2a068 authored by Tristan Van Berkom's avatar Tristan Van Berkom
Browse files

Rolling 3.5.1.


	* NEWS, configure.ac: Rolling 3.5.1.


svn path=/trunk/; revision=1784
parent d068240c
2008-04-09 Tristan Van Berkom <tvb@gnome.org>
* NEWS, configure.ac: Rolling 3.5.1.
* plugins/gtk+/gtk+.xml.in: Filled in all since, deprecated and
builder-unsupported properties.
......
===========
Glade 3.5.1
===========
- Added versioning support, you can always chose the target version of
your project starting with gtk+ 2.8 - a project preferences dialog has
been added where you can switch your format, switch your target version
and test for incompatabilities. incompatability error dialogs are also
launched on save as. Target versions are saved to the glade file;
TODO: patch GtkBuilder to test the required gtk+ version from
<requires lib="gtk+" version="2.8"> and at least warn, also let
third party widget developers test thier own versions using builder
(all new catalog tags and properties are also documented).
===========
Glade 3.5.0
===========
......
......@@ -4,7 +4,7 @@ AC_PREREQ(2.52)
m4_define(glade_major_version, 3)
m4_define(glade_minor_version, 5)
m4_define(glade_micro_version, 0)
m4_define(glade_micro_version, 1)
m4_define(glade_version, glade_major_version.glade_minor_version.glade_micro_version)
AC_INIT([glade3], [glade_version],
......@@ -47,8 +47,8 @@ AM_PROG_LIBTOOL
# If any interfaces have been added since the last public release, then increment GLADE_AGE.
# If any interfaces have been removed since the last public release, then set GLADE_AGE to 0.
# Reference: http://www.gnu.org/software/libtool/manual.html#Versioning
GLADE_REVISION=2
GLADE_CURRENT=7
GLADE_REVISION=0
GLADE_CURRENT=8
GLADE_AGE=0
GLADE_CURRENT_MINUS_AGE=`expr $GLADE_CURRENT - $GLADE_AGE`
AC_SUBST(GLADE_REVISION)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment